Subject: RE: [PATCH/2.6.17-rc4 1/10] Powerpc: Add general support for mpc7 448h pc2 (Taiga) platform

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 02 Jun 2006 18:17:26 +1000

On Fri, 2006-06-02 at 15:38 +0800, Liu Dave-r63238 wrote:
> > > If I really need to use bat0 or bat1( I see that the 
> > general mmu use 
> > > bat2 and bat3,
> > > where should I set up them?
> > > 
> > > For tsi108 pci configuration access, I need to map 16Mbyte
> > > physical address.  If I do not use an extra bat, I can not 
> > get the correct 
> > > virtual address use ioremap.
> > 
> > What do you mean ? An ioremap will work, it will give you any 
> > virtual address, you just have to store that in a global 
> > instead of hard coding it. Hard coded virtual addresses are 
> > bad. Especially for things like PCI config space that really 
> > isn't performance sensitive.
> > 
> 
> I agree ben about PCI config space, It should use ioremap
>  to get virtual address. No performace indeed. 
> 
> I think we need find the root cause that the ioremap failed.

How much RAM do you have ? Maybe you are running out of virtual space ?

Ben.